Bug 1582293 - Unable to unset proxy settings once set
Summary: Unable to unset proxy settings once set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.3.1
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-24 18:36 UTC by Ade Bradshaw
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:27 UTC

Description Ade Bradshaw 2018-05-24 18:36:12 UTC
Description of problem:
If you set proxy settings they cant be unset

https://access.redhat.com/solutions/1455833 has instructions for 6.1 and 6.2 but if you use the 6.2 instructions you get an error

Version-Release number of selected component (if applicable):
6.3.1

How reproducible:
100 %

Steps to Reproduce:
1.Install sat6.3 and do a setup, setting proxy and port
2.try to unset them


Actual results:
# satellite-installer --katello-proxy-url="" --katello-proxyport=null
Parameter katello-proxy-url invalid:  must match one of (?-mix:^https?:\/\/)
Parameter katello-proxy-port invalid: "null" is not a valid integer
Error during configuration, exiting  

Expected results:
Proxy settings become unset and Satellite uses direct access

Additional info:
Spoke in #satellite6 and we were able to unset the url with 

satellite-installer --katello-proxy-url=UNDEF  

but using the same method for the --katello-proxyport doesnt work


So we need 

a) a method to unset url AND port
b) updated documentation to reflect these changes

Comment 2 Eric Helms 2018-05-31 02:10:06 UTC
One  method to clear these is to remove them from the answers file and then re-run the installer. This should re-set things back to their default empty values.

Comment 3 Chris Roberts 2018-10-03 17:00:14 UTC
Currently in upstream and should be in 6.5

    --reset-katello-proxy-password Reset proxy_password to the default value (UNDEF)
    --reset-katello-proxy-port    Reset proxy_port to the default value (UNDEF)
    --reset-katello-proxy-url     Reset proxy_url to the default value (UNDEF)
    --reset-katello-proxy-username Reset proxy_username to the default value (UNDEF)

Comment 5 Suraj Bora 2018-11-29 08:03:46 UTC
Hi Chris,

I am not able to find 
--reset-katello-proxy-password 
--reset-katello-proxy-port 
--reset-katello-proxy-url 
--reset-katello-proxy-username 

flags in help for satellite-installer utility with satellite-6.5.0-5.beta.el7sat.noarch build.

Can you please let me know if its accepted behavior?

# satellite-installer --help | grep reset
    --reset                       This option will drop the Katello database and clear all subsequent backend data stores. You will lose all data!
    --certs-reset                 This option will reset any custom certificates and use the self-signed CA instead. Note that any clients will need to be updated with the latest katello-ca-consumer RPM, and any external proxies will need to have the certs updated by generating a new certs tarball. (default: false)
#

Comment 6 Suraj Bora 2018-11-29 09:21:38 UTC
Able to see required flags using satellite-installer --full-help option

Comment 7 Suraj Bora 2018-12-04 08:49:12 UTC
Verified bug on: satellite-6.5.0-5

Scenario tested:

1. Verify current proxy setting using satellite-installer --help | grep katello-proxy command.
2. Set the proxy if its not configured

satellite-installer --katello-proxy-url=http://XXXX.XXXX.XX --katello-proxy-port=XXXX --katello-proxy-username=XXXX --katello-proxy-password=XXXXXXXX

3. Verify if proxy is configured using satellite-installer --help | grep katello-proxy command.

4. Reset the proxy setting using following command:
# satellite-installer --reset-katello-proxy-password  --reset-katello-proxy-port --reset-katello-proxy-url --reset-katello-proxy-username

5. Verify if proxy is getting reset using satellite-installer --help | grep katello-proxy command.

Comment 9 Suraj Bora 2018-12-04 08:52:08 UTC
Reset flags can be seen using satellite-installer --full-help option.

Comment 13 errata-xmlrpc 2019-05-14 12:37:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.